import { defineConfig, loadEnv  } from 'vite';
import react from '@vitejs/plugin-react';
import path from 'path';

export default defineConfig(({ mode }) => {
  const env = loadEnv(mode, process.cwd(), '');

  return {
    plugins: [
      react(),
    ],
    server: {
      https: {
        key: env.VITE_SSL_KEY_PATH,
        cert: env.VITE_SSL_CERT_PATH,
      }
  }}
});